Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.controls
Interface JUArrayElementEditorInterface

public interface JUArrayElementEditorInterface

This interface defines the methods that is required by JUArrayComboBox to communicate with an editor that can edit an element/item in the JUArrayComboBox.

Implementing classes can define their own key combinations that ends in call to the edit method in this interface, by returning true for hasCustomEditKey() method and returning true for isEditKey(KeyEvent) after matching the key with a editor specific key combination. By default if hasCustomEditKey() returns false, then pressing Ctrl+Enter in the combo box editor invokes this edit() method.

Method Summary
`java.lang.Object` | `edit(java.lang.Object element, JUControlBinding ctrlBinding, java.awt.Component combo)` Edits the given element (could be null), which is part of the array attribute in the given JUControlBinding being edited by the given combo UI component.
`boolean` | `hasCustomEditKey()` Returns true if this editor is interested in parsing/matching the user keys as typed in the combobox editor.
`boolean` | `isEditKey(java.awt.event.KeyEvent e)` Returns true, if the key in the KeyEvent matches the key desired by this editor as the invocation key.

Method Detail

### edit

    public java.lang.Object edit(java.lang.Object element,
                                 JUControlBinding ctrlBinding,
                                 java.awt.Component combo)

  Edits the given element (could be null), which is part of the array attribute in the given JUControlBinding being edited by the given combo UI component.
  Parameters:
    `element` - An element from the Array that is to be edited. This value could be null indicating that the ComboBox is expecting a new value to be created in the editor.
    `ctrlBinding` - The JUControlBinding object that provides JClient context to the editor
    `combo` - A Swing component that should be used to locate the editor dialog.
  Returns:
    The new value for an element in an Array.

### hasCustomEditKey

    public boolean hasCustomEditKey()

  Returns true if this editor is interested in parsing/matching the user keys as typed in the combobox editor.

### isEditKey

    public boolean isEditKey(java.awt.event.KeyEvent e)

  Returns true, if the key in the KeyEvent matches the key desired by this editor as the invocation key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.